VERSION 5.00
Begin VB.Form frmMain 
   BorderStyle     =   1  'Fest Einfach
   Caption         =   "Pneumatic Robots : Bearbeitungszentrum"
   ClientHeight    =   5295
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   7545
   Icon            =   "PneuBeaZ.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   ScaleHeight     =   5295
   ScaleWidth      =   7545
   StartUpPosition =   3  'Windows-Standard
   Begin VB.CommandButton cmdEnde 
      Caption         =   "ENDE"
      Height          =   375
      Left            =   5880
      TabIndex        =   1
      Top             =   4200
      Width           =   1335
   End
   Begin VB.CommandButton cmdAction 
      Caption         =   "START"
      Height          =   375
      Left            =   5880
      TabIndex        =   0
      Top             =   4680
      Width           =   1335
   End
   Begin VB.Label lblStatus 
      Alignment       =   2  'Zentriert
      Caption         =   "STARTen"
      BeginProperty Font 
         Name            =   "Arial"
         Size            =   20.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   495
      Left            =   480
      TabIndex        =   2
      Top             =   360
      Width           =   6615
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' ------------------------------------------------------------------------------
'
' frmMain(PneuBeaZ.frm)                                   Ulrich Mller 28.12.99
'                                                         Procida 400NT    VB6.0
' Pneumatiches Bearbeitungszentrum :
'    VB6 Adaption des LLWin Programms Bearbeit.MDL der Pneumatic Robots
'
' Zyklus : Teil zufhren/auswerfen, Schieber zurck,
'          Drehtisch weiter, Teil stempeln.
'
' Der jeweilige Status wird auf der Form angezeigt (lblStatus)
'
' Nutzung umFish.DLL
'
' ggf. den PortNamen in Form_Load anpassen (eingestellt : "COM1")
'
' ------------------------------------------------------------------------------

Option Explicit

' --- Modellkonstanten -----------------------

Const cvSchieVor = 1, cvSchieZuruck = 2, cvStempel = 3   ' --- MagnetVentile
Const cmTisch = 4                                        ' --- Motor
Const ctTisch = 1                                        ' --- Taster



Private Sub BeaZMain()

' --- Hauptprogramm, Schleife, die ber NotHalt beendet wird ---

  DrehTisch
  SchieberRueck
  lblStatus = "Anlage ready"
  DoEvents
  
  Do                                  ' --- Schleife bis NotHalt
    SchieberVor
    SchieberRueck
    DrehTisch
    Presse
    Presse
  Loop Until NotHalt
  
End Sub

Private Sub DrehTisch()

' --- Drehtisch um eine Position weiterschalten ---

  SetMotor ft, cmTisch, ftiLinks
  lblStatus = "Drehen"
  WaitForInput ft, ctTisch, False          ' --- TischTaster frei
  WaitForInput ft, ctTisch                 '     nchste Position
  SetMotor ft, cmTisch, ftiAus
  WaitForTime ft, 1000
  
End Sub


Private Sub Presse()

' --- Teil stempeln ---------

  SetMotor ft, cvStempel, ftiEin
  lblStatus = "dong!"
  Beep
  Beep
  Beep
  WaitForTime ft, 1000
  SetMotor ft, cvStempel, ftiAus
  WaitForTime ft, 1000
  
End Sub



Private Sub SchieberRueck()

' --- Beide Schieber Rckstellen ---

  SetMotor ft, cvSchieVor, ftiAus
  SetMotor ft, cvSchieZuruck, ftiEin
  lblStatus = "Schieber zurck"
  WaitForTime ft, 1000
  SetMotor ft, cvSchieZuruck, ftiAus
  
End Sub

Private Sub SchieberVor()

' --- Beide Schieber vor ---

  SetMotor ft, cvSchieZuruck, ftiAus
  SetMotor ft, cvSchieVor, ftiEin
  lblStatus = "Schieber vor"
  WaitForTime ft, 2000
  SetMotor ft, cvSchieVor, ftiAus
  
End Sub


Private Sub cmdAction_Click()

' --- Starten / Beenden der Trsteuerung ---

  If cmdAction.Caption = "START" Then       ' --- Start
    lblStatus = "Gestartet"
    cmdEnde.Enabled = False                 '     um ein wildes Beenden des
    cmdAction.Caption = "HALT"              '     gesamten Programms zu verhindern
    NotHalt = False                         ' --- Endesteuerung
    BeaZMain                                ' --- Teile stempeln
  Else                                      ' --- Beenden
    NotHalt = True                          '     Ende einleiten
  End If
                                            ' --- Ende
  ClearMotors ft                            '     alle M-Ausgnge aus
  cmdEnde.Enabled = True                    '     ENDE wieder zulassen
  cmdAction.Caption = "START"               '     erneuten START zulassen
  lblStatus = "START/ENDE"
  cmdEnde.SetFocus
  
End Sub


Private Sub cmdEnde_Click()

  Unload Me
  
End Sub


Private Sub Form_Load()
    
' --- Programm Initialisierung ---

  If OpenInterface(ft, "COM1") = ftiFehler Then ' --- COM1 ggf. Anpassen --COM1 ---
    MsgBox "InterfaceProblem", vbExclamation + vbOKOnly, "PneuTuer"
    Unload Me
  End If
  
End Sub


Private Sub Form_Unload(Cancel As Integer)

' --- Aufrumen ---

  CloseInterface ft
  
End Sub


